---
  title: Features | GitLab
  description: Learn about the various features of GitLab Premium, Ultimate, and Free, including issue tracking, time tracking, reporting, file locking, and more.
  call_to_action:
    title: GitLab Features
    subtitle: GitLab is a complete DevOps platform, delivered as a single application.
    body_text: Fundamentally changing the way Development, Security, and Ops teams collaborate and build software - GitLab provides all of the essential DevOps tools in one DevOps platform. From idea to production, GitLab helps teams improve cycle time from weeks to minutes, reduce development costs, speed time to market, and deliver more secure and compliant applications.
    aos_animation: fade-down
    aos_duration: 500
    img:
      url: /nuxt-images/features/laptop-cafe.png
      alt: ""
  tabs:
    - text: Plan
      icon:
        name: plan-alt
        alt: Plan Icon
        variant: marketing
    - text: Create
      icon:
        name: create-alt
        alt: Create Icon
        variant: marketing
    - text: Verify
      icon:
        name: verify-alt
        alt: Verify Icon
        variant: marketing
    - text: Package
      icon:
        name: package-alt
        alt: Package Icon
        variant: marketing
    - text: Secure
      icon:
        name: secure-alt
        alt: Secure Icon
        variant: marketing
    - text: Release
      icon:
        name: release-alt
        alt: Release Icon
        variant: marketing
    - text: Configure
      icon:
        name: configure-alt
        alt: Configure Icon
        variant: marketing
    - text: Monitor
      icon:
        name: monitor-alt
        alt: Monitor Icon
        variant: marketing
    - text: Govern
      icon:
        name: protect-alt
        alt: Govern Icon
        variant: marketing
    - text: Manage
      icon:
        name: manage-alt
        alt: Manage Icon
        variant: marketing
  dropdown_label: Features Section Mobile Dropdown
  feature_content:
    products_category:
      column_size: 4
      header_animation: fade-up
      header_animation_duration: 500
      products: []
  resources:
    cards:
      - icon:
          name: webcast-alt
          variant: marketing
          alt: Webcast Icon
        event_type: "Webcast"
        header: "Collaboration without Boundaries - Faster Delivery with GitLab"
        link_text: "Read more"
        image: "/nuxt-images/features/resources/resources_webcast.png"
        href: "/partners/technology-partners/aws/"
        data_ga_name: "Collaboration without Boundaries"
        data_ga_location: "body"
        aos_animation: zoom-in-up
        aos_duration: 500
      - icon:
          name: case-study
          variant: marketing
          alt: Case Study Icon
        event_type: "Case Study"
        header: "GitLab advances open science education at Te Herenga Waka – Victoria University of Wellington"
        link_text: "Read more"
        href: "/partners/technology-partners/aws/"
        image: "/nuxt-images/features/resources/resources_case_study.png"
        data_ga_name: "GitLab advances open science education at Te Herenga Waka"
        data_ga_location: "body"
        aos_animation: zoom-in-up
        aos_duration: 1000
      - icon:
          name: community-alt-2
          variant: marketing
          alt: Community Icon
        event_type: "Partners"
        header: "Discover the benefits of GitLab on AWS"
        link_text: "Watch now"
        href: "/partners/technology-partners/aws/"
        image: "/nuxt-images/features/resources/resources_partners.png"
        data_ga_name: "Discover the benefits of GitLab on AWS"
        data_ga_location: "body"
        aos_animation: zoom-in-up
        aos_duration: 1500
  content_config:
    column_size: 4
    header_animation: fade-up
    header_animation_duration: 500
